Skip to main content
`Ctrl`+`K`

# DMAdaptorGetType

Gets the type name (as a string) from the adaptor.

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorGetType(DMAdaptor adaptor, DMAdaptorType *type)

Not Collective

## Input Parameter

- adaptor - The `DMAdaptor`

## Output Parameter

- type - The `DMAdaptorType` name

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMAdaptor`, `DMAdaptorType`, `DMAdaptorSetType()`, `DMAdaptorCreate()`

## Level

intermediate

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages